Skip to Content

Create a mailbox note

Adds an internal note to a thread and returns it with status 201. Notes are visible to everyone on the mailbox and never sent.

POST
/v1/mailboxes/{id}/threads/{threadId}/notes

Adds an internal note to a thread and returns it with status 201. Notes are visible to everyone on the mailbox and never sent.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
threadId*string
Match^thread_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
body*string
color?string|null|null
pinned?boolean|null

Response Body

Success

application/json
  1. response
id*MailboxNoteId
Match^note_[0-9a-hjkmnp-tv-z]{16,24}$
author*
body*string
color*string|null
pinned*boolean
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.createNote({
  "id": "example",
  "threadId": "example",
  "body": "example"
});
Example Response
{
  "id": "string",
  "author": {
    "kind": "user",
    "id": "string",
    "displayName": "string"
  },
  "body": "string",
  "color": "string",
  "pinned": true,
  "createdAt": "string",
  "updatedAt": "string"
}

Related documentation